Overview | Modules | Class Hierarchy | Classes | Members

Static Public Member Functions
tlp::GraphType Class Reference

`#include <PropertyTypes.h>`

Inheritance diagram for tlp::GraphType:
[legend]
Collaboration diagram for tlp::GraphType:
[legend]

List of all members.

## Static Public Member Functions

- static RealType undefinedValue ()
- static RealType defaultValue ()
- static void write (std::ostream &oss, const RealType &v)
- static bool read (std::istream &iss, RealType &v)

## Member Function Documentation

static RealType tlp::GraphType::defaultValue | ( |  | ) | `[static]`

Reimplemented from tlp::TypeInterface< tlp::Graph * >.

static bool tlp::GraphType::read | ( | std::istream & | iss,
|  | RealType & | v
| ) |  | `[static]`

Reimplemented from tlp::TypeInterface< tlp::Graph * >.

static RealType tlp::GraphType::undefinedValue | ( |  | ) | `[static]`

Reimplemented from tlp::TypeInterface< tlp::Graph * >.

static void tlp::GraphType::write | ( | std::ostream & | oss,
|  | const RealType & | v
| ) |  | `[static]`

Reimplemented from tlp::TypeInterface< tlp::Graph * >.

Tulip Software by LaBRI Visualization Team 2001 - 2012